CVE-2014-8764

NameCVE-2014-8764
DescriptionDokuWiki 2014-05-05a and earlier, when using Active Directory for LDAP authentication, allows remote attackers to bypass authentication via a user name and password starting with a null (\0) character, which triggers an anonymous bind.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-79-1, DSA-3059-1
NVD severitymedium (attack range: remote)
Debian Bugs766545

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dokuwiki (PTS)wheezy, wheezy (security)0.0.20120125b-2+deb7u1fixed
jessie0.0.20140505.a+dfsg-4fixed
buster, sid0.0.20160626.a-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dokuwikisource(unstable)0.0.20140929.a-1medium766545
dokuwikisourcejessie(not affected)
dokuwikisourcesqueeze0.0.20091225c-10+squeeze3mediumDLA-79-1
dokuwikisourcewheezy0.0.20120125b-2+deb7u1mediumDSA-3059-1

Notes

[jessie] - dokuwiki <not-affected> (PHP 5.6 in jessie fixes this on the PHP level, see #766545)
Fix at PHP level: http://git.php.net/?p=php-src.git;a=commitdiff;h=ad1b9eef98df53adefa0c79c02e5dc1f2b928b8c

Search for package or bug name: Reporting problems